Distribution:	CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Name: 		firestarter
Summary:        a modern linux firewall
Version: 	1.0.3
Release: 	2
License: 	GPL
URL:	 	http://www.fs-security.com/
Group: 		Networking/Security
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		firestarter-desktop.patch
BuildRoot:      %{_builddir}/%{name}-%{version}-root
Provides:	firestarter
Requires: 	iptables
Requires:	chkconfig
Requires:	GConf
BuildRequires:	libICE-devel
BuildRequires:  ORBit2-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXrender-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  atk-devel
BuildRequires:  audiofile-devel
BuildRequires:  avahi-devel
BuildRequires:  libbonobo-devel
BuildRequires:  libbonoboui-devel
BuildRequires:  glibc-devel
BuildRequires:  cairo-devel
BuildRequires:  openssl-devel
BuildRequires:  dbus-devel
BuildRequires:  esound-devel
BuildRequires:  expat-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  libglade-devel
BuildRequires:  glib-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  libgnomecanvas-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  gtk2+-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:	desktop-file-utils

%description
Firestarter is an Open Source visual firewall program. The software aims to combine ease of use with powerful features, therefore serving both Linux desktop users and system administrators. 
 We strongly believe that your job is to make the high level security policy decisions and ours is to take care of the underlying details. This is a departure from your typical Linux firewall, which has traditionally required arcane implementation specific knowledge.

%post
export GCONF_CONFIG_SOURCE="$(/opt/gnome/bin/gconftool-2 --get-default-source)"
/opt/gnome/bin/gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas &>/dev/null
if [ "$1" = "1" ]; then
        /sbin/chkconfig --level 0123456 iptables off 2>/dev/null || :
        /sbin/chkconfig --add firestarter
        /sbin/chkconfig firestarter on
fi


%preun
if [ "$1" = "0" ]; then
        export GCONF_CONFIG_SOURCE="$(/opt/gnome/bin/gconftool-2 --get-default-source)"
        /opt/gnome/bin/gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/%{name}.schemas &>/dev/null

        /sbin/chkconfig iptables reset 2>/dev/null || :
        /sbin/service firestarter stop >/dev/null 2>&1
        /sbin/chkconfig --del firestarter
fi


%postun
if [ "$1" = "0" ]; then
    if [ -e /etc/dhclient-exit-hooks ]; then
        grep -v 'sh %{_sysconfdir}/firestarter/firewall.sh start' < /etc/dhclient-exit-hooks > /etc/dhclient-exit-hooks.tmp
        mv /etc/dhclient-exit-hooks.tmp /etc/dhclient-exit-hooks
    fi
fi


%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix --disable-debug --sysconfdir=%_sysconfdir  --with-gconf-schema-file-dir=/etc/gnome/gconf/schemas
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/inbound
mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install-strip DESTDIR=${RPM_BUILD_ROOT}

mv ${RPM_BUILD_ROOT}/%{_bindir}/firestarter ${RPM_BUILD_ROOT}/%{_sbindir}
ln -s %{_bindir}/consolehelper ${RPM_BUILD_ROOT}/%{_bindir}/firestarter

touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/configuration
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/events-filter-hosts
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/events-filter-ports
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/firestarter.sh
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/firewall
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/sysctl-tuning
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/user-pre
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/user-post
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/inbound/allow-from
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/inbound/allow-service
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/inbound/forward
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/inbound/setup
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/allow-from
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/allow-service
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/allow-to
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/deny-from
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/deny-service
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/deny-to
touch ${RPM_BUILD_ROOT}/%{_sysconfdir}/firestarter/outbound/setup

%find_lang %{name}

install -p -D -m0644 firestarter.pam ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/firestarter
install -p -D -m0644 firestarter.console  ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/firestarter
install -p -D -m0755 fedora.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d/firestarter

#rm -f ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Internet/firestarter.desktop
#desktop-file-install  --vendor CCux                  \
#  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
#  --add-category GNOME				\
#  firestarter.desktop


mkdir -p $RPM_BUILD_ROOT%_kdedir/share/applnk/Internet/
cp %{SOURCE1} $RPM_BUILD_ROOT%_kdedir/share/applnk/Internet/firestarter.desktop


%files
%defattr(-, root, root)
%_bindir
%_sbindir
%{_sysconfdir}/rc.d
%{_sysconfdir}/gnome/gconf/schemas/firestarter.schemas
%{_sysconfdir}/pam.d/firestarter
%{_sysconfdir}/security/console.apps/%{name}
%dir %attr(700,root,root) %{_sysconfdir}/firestarter
%dir %attr(700,root,root) %{_sysconfdir}/firestarter/inbound
%dir %attr(700,root,root) %{_sysconfdir}/firestarter/outbound
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/configuration
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/events-filter-hosts
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/events-filter-ports
%config(missingok,noreplace) %attr(700,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/firestarter.sh
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/firewall
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/sysctl-tuning
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/user-pre
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/user-post
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/inbound/*
%config(missingok,noreplace) %attr(400,root,root) %verify(not md5 mode mtime size) %{_sysconfdir}/firestarter/outbound/*
%{_sysconfdir}/firestarter/non-routables
%_datadir
%_kdedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.0.3-2
- rebuild against latest libs
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Initial release
